import request from '@/utils/request'

// 查询订单操作记录列表
export function listLiveOrderLogs(query) {
  return request({
    url: '/live/liveOrderLogs/list',
    method: 'get',
    params: query
  })
}

// 查询订单操作记录详细
export function getLiveOrderLogs(logsId) {
  return request({
    url: '/live/liveOrderLogs/' + logsId,
    method: 'get'
  })
}

// 新增订单操作记录
export function addLiveOrderLogs(data) {
  return request({
    url: '/live/liveOrderLogs',
    method: 'post',
    data: data
  })
}

// 修改订单操作记录
export function updateLiveOrderLogs(data) {
  return request({
    url: '/live/liveOrderLogs',
    method: 'put',
    data: data
  })
}

// 删除订单操作记录
export function delLiveOrderLogs(logsId) {
  return request({
    url: '/live/liveOrderLogs/' + logsId,
    method: 'delete'
  })
}

// 导出订单操作记录
export function exportLiveOrderLogs(query) {
  return request({
    url: '/live/liveOrderLogs/export',
    method: 'get',
    params: query
  })
}
